#pragma once
#include "ogl.h"
#include <stdint.h>
typedef struct { uint32_t t; } TileID;
typedef struct { uint32_t i; } TileIndex;

TileID		yrTileStore_new(GLuint* tex_id, GLuint* mip_id);
TileID		yrTileStore_copy(TileID tile, GLuint* tex_id, GLuint* mip_id);
void		yrTileStore_finishtile(TileID tile);
void		yrTileStore_remove(TileID tile);
void		yrTileStore_important(size_t count, TileID* tiles);
uint64_t	yrTileStore_request(TileID tile, float priority, TileIndex* lookup_hint, int do_lookup);